package image

import (
	"gitlink.org.cn/JointCloud/pcm-coordinator/api/internal/logic/image"
	"gitlink.org.cn/JointCloud/pcm-coordinator/api/internal/svc"
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
	"net/http"
)

func UploadDataSetHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := image.NewUploadDataSetLogic(r.Context(), svcCtx)
		err := l.UploadDataSet()
		result.HttpResult(r, w, nil, err)
	}
}
